Echelle Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Scale and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Downgrade.svg Downgrade
Page suivante: Edit Draft Edit.svg Arrow-right.svg

Draft Scale.svg Échelle

Emplacement du menu
Draft → Scale
Ateliers
Draft, Arch
Raccourci par défaut
S C
Introduit dans la version
-
Voir aussi
Draft Clone, Draft Offset


Description

Cet outil met à l'échelle des objets sélectionnés autour d'un point de base.

L'outil Echelle peut produire une copie ou un Draft Clone à une échelle définie. Utilisez Draft Offset pour produire une copie mise à l'échelle d'une sélection de fils avec un certain décalage. Une copie simple sans mise à l'échelle peut être produite avec Draft Move.

Cet outil peut être utilisé sur des formes 2D créées avec Draft Workbench mais peut également être utilisé sur de nombreux types d'objets 3D tels que ceux créés avec Part Workbench or PartDesign Workbench.

Draft Scale example.jpg

Mise à l'échelle d'un objet d'un point de référence à un deuxième point


Utilisation

  1. Sélectionnez les objets dont vous désirez changer la taille
  2. Appuyez sur le bouton Draft Scale.png Draft Scale ou sur les touches S puis C. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
  3. Cliquez votre premier point sur une zone vide de la vue 3D, ou tapez les coordonnées et appuyez sur le bouton Draft AddPoint.svg add point. Ceci défini le point de base de la mise à l'échelle.
  4. Définissez les facteurs X, Y et Z et les options de résultat appropriées, puis appuyez sur Entrée ou sur le bouton OK pour terminer l'opération.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Remplissez les facteurs X, Y et Z pour définir la mise à l'échelle dans cette direction.
    • Cliquez sur la case à cocher "Uniform scaling" pour verrouiller les facteurs X, Y et Z à la même valeur.
    • Cliquez sur la case à cocher "Working plane orientation" pour verrouiller les échelles X, Y et Z le long du Plan de travail; sinon, les directions globales X, Y et Z sont utilisées.

Trois options contrôlent le résultat de l'opération de mise à l'échelle:

    • Créer un clone. Un Draft Clone de l'objet d'origine sera créé. Cela fonctionnera pour tous les types d'objet.
Note: même si les facteurs de mise à l'échelle sont conservés à leurs valeurs par défaut (1.0, 1.0, 1.0), une fois le clone créé, vous pourrez modifier ces facteurs manuellement dans l'éditeur de propriété.
* Modifier l'original. L'objet d'origine aura sa taille modifiée. Cela fonctionnera uniquement avec les objets Draft et les formes non paramétriques Part.
* Créer une copie. Une copie à l'échelle de l'objet d'origine sera créée. Cela fonctionnera pour tous les types d'objet, mais seules les copies des objets Draft seront paramétriques.
Note: une copie est un objet complètement différent de la forme d'origine; il sera créé à l'échelle spécifiée, puis aura son propre ensemble de propriétés. D'autre part, un Draft Clone est lié à la forme d'origine et la seule propriété pouvant être modifiée est l'échelle.

Script

Voir aussi: Draft API et Principes de base des scripts FreeCAD.

L'outil Scale peut être utilisé dans une macros et dans la console Python en utilisant la fonction suivante :

scaledlist = scale(objectslist, delta=Vector(1,1,1), center=Vector(0,0,0), copy=False, legacy=False)
  • Échelle les objets de objectlist en fonction des facteurs spécifiés par les composants de delta, définis comme un FreeCAD.Vector, et en utilisant center comme point de base.
    • objectslist est un objet unique ou une liste d'objets.
  • Si copy est True, des copies sont créées au lieu de modifier les objets d'origine.
  • Si legacy est True, le mode de copie directe est utilisé (obsolète), sinon une copie paramétrique est effectuée.
  • scaledlist est renvoyé avec les objets redimensionnés d'origine ou avec les nouveaux clones.
    • scaledlist est soit un objet unique, soit une liste d'objets, en fonction de l'entrée objectlist.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=1200)
delta1 = FreeCAD.Vector(2.3, 0.75, 0)

clone_1 = Draft.scale(Polygon1, delta1, copy=True)

Polygon2 = Draft.makePolygon(5, radius=750)
delta2 = FreeCAD.Vector(-2, -1.5, 0)

clone_2 = Draft.scale([Polygon1, Polygon2], delta2, copy=True)
Draft.move(clone_2, FreeCAD.Vector(3500, 1000, 0))
Arrow-left.svg Page précédente: Draft Downgrade.svg Downgrade
Page suivante: Edit Draft Edit.svg Arrow-right.svg